Клуб API Карт

Посмотрите ошибку SCRIPT438: Объект не поддерживает свойство или метод "addEventListener"

eap1985
21 ноября 2012, 20:55

 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru-ru" lang="ru-ru" >
 <head>

  <script type="text/javascript" src="mootools.js"></script>

 
    <!--
        Подключаем API карт 2.x
        Параметры:
          - load=package.full - полная сборка;
          - lang=ru-RU - язык русский.
    -->
    <script
        src="http://api-maps.yandex.ru/2.0/?load=package.full&mode=debug&lang=ru-RU"
        type="text/javascript"></script>

    <!--
        Основная библиотека JQuery.
        Яндекс предоставляет хостинг JavaScript-библиотек:
    -->
    <script src="http://yandex.st/jquery/1.6.4/jquery.min.js" type="text/javascript"></script>
 
  <script type="text/javascript">
  
     // Как только будет загружен API и готов DOM, выполняем инициализацию
        ymaps.ready(init);

        function init () {
            var myMap = new ymaps.Map("map", {
                    center: [56.45, 37.64],
                    zoom: 5
                }),

                // Создаем метки для городов Москва и Санкт-Петербург.
                // Задаем для них описания: название города, расположение и численность людей.
                myPlacemarkMsc = new ymaps.Placemark([55.8, 37.6], {
                    name: 'Москва',
                    position: 'Находится в центре европейской части России, в междуречье Оки и Волги, на стыке Смоленско-Московской возвышенности (на западе),
Москворецко-Окской равнины (на востоке) и
Мещёрской низменности (на юго-востоке).',
                    population: '11 629 116 человек.'
                }),

                myPlacemarkSpb = new ymaps.Placemark([59.930, 30.347], {
                    name: 'Санкт-Петербург',
                    position: 'Город расположен на северо-западе Российской Федерации,
в пределах Приневской низменности, ' +
                        'на прилегающем к устью реки Невы побережье Невской губы
Финского залива и на многочисленных островах Невской дельты.',
                    population: '4 879 566 (2010 год).'
                }),

                // Создаем коллекцию, в которую будем добавлять метки
                myCollection = new ymaps.GeoObjectCollection();

            //Добавляем метки в коллекцию геообъектов.
            myCollection
                .add(myPlacemarkMsc)
                .add(myPlacemarkSpb);

            // Создаем шаблон для отображения контента балуна
            var myBalloonLayout = ymaps.templateLayoutFactory.createClass(
                '<h3>$[properties.name]</h3>' +
                '<p><strong>Расположение:</strong> $[properties.position]</p>' +
                '<p><small><strong>Численность населения:</strong> $[properties.population]</small></p>'
            );

            // Помещаем созданный шаблон в хранилище шаблонов. Теперь наш шаблон доступен по ключу 'my#superlayout'.
            ymaps.layout.storage.add('my#superlayout', myBalloonLayout);

            // Задаем наш шаблон для балунов геобъектов коллекции.
            myCollection.options.set({
                balloonContentBodyLayout:'my#superlayout',
                // Максимальная ширина балуна в пикселах
                balloonMaxWidth: 300
            });

            // Добавляем коллекцию геообъектов на карту.
            myMap.geoObjects.add(myCollection);

        }

  </script>
 </head>
<body>
<div id="map" style="width:500px;height:500px;"></div>
</body>
</html>

 

SCRIPT438: Объект не поддерживает свойство или метод "addEventListener"

ymaps2_0_18, строка 241 символ 17

Ie8 и Ie9 mootools 1.12

 

В Ie9 помагает

 <script type="text/javascript">
    $j = jQuery.noConflict();

а в ie8?

7 комментариев
Подписаться на комментарии к посту

Где то мне уже попадались такие ошибки

обычно помогает обновление mootools

в joomla 1.5 обновить не сложно, но админ панель перестаёт работать правильно.

У Вас и jQuery и MooTools?

Да и jQuery и Mootools! Пользователи жалуются на данную ошибку часто.

Странно ожидать корректной работы mootools 1.12 (выпущенного в 2007 году) в IE8 (выпущенном в 2009).

 

 

Странно, но нужно, как это объяснить тем, у кого joomla 1.5. И там не так просто заменить mootools на более свежую версию, так как админ. панель привязана к старому mootools!

Поверьте - выхода нет.

Либо с САЙТА(не из админ панели) уберите mooTools

Оставьте один jQuery - поверьте, так будет лучше.